[Match]
Name={{ ansible_default_ipv4.interface }}.{{ item.key }}

[Network]

{% if item.value|length > 0 %}
{% for k in item.value %}
{{ k }}={{ item.value[k] }}
{% endfor %}
{% else %}
{% if ip is defined %}
Address={{ networking.vlan_base }}.{{ item.key | regex_replace('0', '') }}.{{ groups['all'].index(inventory_hostname) + 1 }}/{{ networking.vlan_subnet }}
{% else %}
Address={{ ip }}/{{ networking.vlan_subnet }}
{% endif %}
{% endif %}
